export declare const is: (x: any, y: any) => boolean;
/**
 * Return true, if `objectA` is shallow equal to `objectB`.
 * Pass Custom equality function to `customEqual`.
 * Default equality is `Object.is`
 *
 * Options:
 *
 * - `customEqual`: function should return true if the `a` value is equal to `b` value.
 * - `debug`: enable debug info to console log. This log will be disable in production build
 */
export declare const shallowEqual: (objectA: any, objectB: any, options?: {
    customEqual?: (<T>(a: T, b: T) => boolean) | undefined;
    debug?: true | undefined;
    console?: Pick<Console, "log" | "group" | "groupEnd"> | undefined;
} | undefined) => boolean;
